<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #4 - objects</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #4 - objects</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Опишите своими словами, что такое метод обьекта</p>
            <p class="answer">Метод объекта - это внутренняя функция объекта, предназначенная для взаимодействия со свойствами и функциями этого же объекта</p>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span> Реализовать функцию для создания объекта "пользователь".</p>
            <p class="additional">
                <strong>Решение доп. задания найдено: </strong> <br>
                Сделать так, чтобы свойства firstName и lastName нельзя было изменять напрямую. Создать функции-сеттеры setFirstName() и setLastName(), которые позволят изменить данные свойства.
            </p>
            <p class="answer btn-wrapper">
                <button class="btn btn-red" onclick="startTask()">Запустить</button>
            </p>
            <!-- <p class="result">Результат в консоли!</p> -->
        </div>
    </div>
    
    <script src="js/task1.js"></script>
    <!-- <script src="js/test.js"></script> -->
</body>
</html>